2019-10-19 12:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001824FSSCPFREDpublic2008-11-19 02:58
Reporterchief1983 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001824: Cargo disappears when using change-ship-class
DescriptionI was trying to reproduce my misinterpretation of the spinning cargo bug, and while trying to make cargo change its ship class in mission, it disappears. I've attached the mission I ended up creating for this (which I realized later on does not reproduce the spinning cargo bug 1722 btw).
Additional InformationMission spawns you in front of a TSC 2. Press '1' to change it to a TC 2. It disappears.

This may be a blatant misunderstanding on my part as to how this should be working, so feel free to laugh at me if it is, I just wanted to make sure it wasn't broken.

I first placed the cargo as a TAC 1 and tried changing its type to a TTC 1. Then I changed the TAC 1 to a TSC 2, and changed the SEXP to change it to a TC 2. To my knowledge, the changing the TAC 1 to a TSC 2 in FRED is what the spinning cargo bug referred to, and this did not cause the TSC 2 to be spinning in game. It disappeared on the change-ship-class both times though.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2008-11-18 17:11 chief1983 New Issue
2008-11-18 17:11 chief1983 File Added: Cargo Swap Test.fs2
2008-11-18 18:08 karajorma Status new => assigned
2008-11-18 18:08 karajorma Assigned To => karajorma
2008-11-19 02:58 karajorma Status assigned => resolved
2008-11-19 02:58 karajorma Fixed in Version => 3.6.10
2008-11-19 02:58 karajorma Resolution open => fixed
+Issue History